package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPolicyholder;

import java.util.List;

public interface AclPolicyholderMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPolicyholder record);

    int insertSelective(AclPolicyholder record);

    AclPolicyholder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPolicyholder record);

    int updateByPrimaryKeyWithBLOBs(AclPolicyholder record);

    int updateByPrimaryKey(AclPolicyholder record);

    List<AclPolicyholder> findByOrderId(Long orderId);
}